#!/usr/bin/env python3
import utils
import os


def setup(interactive=False):
    if os.path.exists('/etc/lsb-release'):
        with open('/etc/lsb-release', 'r') as fo:
            content = fo.read()
        if '16.04' in content:
            utils.log('Skipping cockpit setup because OS is Ubuntu 16.04.')
            return
    cmds = [
        'apt install -y software-properties-common',
        'add-apt-repository universe',
        'apt update',
        'apt install -y cockpit packagekit ifupdown',
        'apt purge --auto-remove -y netplan.io',
        'mkdir -p /etc/NetworkManager/conf.d',
        'touch /etc/NetworkManager/conf.d/10-globally-managed-devices.conf',
    ]
    if os.path.exists('/run/systemd/resolve/resolv.conf'):
        cmds.append('rm /etc/resolv.conf && cp /run/systemd/resolve/resolv.conf /etc/resolv.conf')

    cmds.extend([
        'systemctl disable --now systemd-resolved.service',
        'printf "[main]\ndns=default" > /etc/NetworkManager/conf.d/disable-systemd-resolved.conf',
    ])
    utils.run_commands(cmds)
